Debian Bug report logs - #537856
smartmontools: FTBFS on GNU/kFreeBSD

version graph

Package: smartmontools; Maintainer for smartmontools is Giuseppe Iuculano <iuculano@debian.org>; Source for smartmontools is src:smartmontools.

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Tue, 21 Jul 2009 11:21:01 UTC

Severity: important

Tags: patch

Found in versions smartmontools/5.38-3, smartmontools/5.38+svn2879-2, smartmontools/5.38+svn2879-3, smartmontools/5.38+svn2879-1

Fixed in version 5.38+svn2879-4

Done: Giuseppe Iuculano <giuseppe@iuculano.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guido Günther <agx@sigxcpu.org>:
Bug#537856; Package smartmontools. (Tue, 21 Jul 2009 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to Guido Günther <agx@sigxcpu.org>. (Tue, 21 Jul 2009 11:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: smartmontools: FTBFS on GNU/kFreeBSD
Date: Tue, 21 Jul 2009 13:44:05 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Package: smartmontools
Severity: important
Version: 5.38-3
Tags: patch
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

Hi,

the current version fails to build on GNU/kFreeBSD.

It needs small tweaks, please find attached patch with them.

It would also be nice if you can ask upstream
to include this changes.

Thanks in advance

                        Petr
[smartmontools.diff (text/x-diff, ATTACHMENT)]
only in patch2:
unchanged:
--- smartmontools-5.38.orig/cciss.cpp
+++ smartmontools-5.38/cciss.cpp
@@ -19,6 +19,10 @@
 #  include <sys/endian.h>
 #  include <dev/ciss/cissio.h>
 #  define _HAVE_CCISS
+#elif defined(__FreeBSD_kernel__) && defined(HAVE_DEV_CISS_CISSIO_H)
+#  include <endian.h>
+#  include <dev/ciss/cissio.h>
+#  define _HAVE_CCISS
 #endif
 
 #ifdef _HAVE_CCISS
only in patch2:
unchanged:
--- smartmontools-5.38.orig/os_freebsd.cpp
+++ smartmontools-5.38/os_freebsd.cpp
@@ -272,7 +272,6 @@
 }
 
 int highpoint_command_interface(__unused int fd, __unused smart_command_set command, __unused int select, __unused char *data) {
-{
   return -1;
 }
 
@@ -410,7 +410,7 @@
 #endif
       return -1;
 
-#if __FreeBSD_version < 502000
+#if (__FreeBSD_version < 502000) && (__FreeBSD_kernel_version < 502000)
     printwarning(NO_RETURN,NULL);
 #endif
 
@@ -518,7 +519,7 @@
 
   if (cam_send_ccb(cam_dev,ccb) < 0) {
     warn("error sending SCSI ccb");
- #if __FreeBSD_version > 500000
+ #if (__FreeBSD_version > 500000) || (__FreeBSD_kernel_version > 500000)
     cam_error_print(cam_dev,ccb,CAM_ESF_ALL,CAM_EPF_ALL,stderr);
  #endif
     cam_freeccb(ccb);
@@ -526,7 +527,7 @@
   }
 
   if ((ccb->ccb_h.status & CAM_STATUS_MASK) != CAM_REQ_CMP) {
- #if __FreeBSD_version > 500000
+ #if (__FreeBSD_version > 500000) || (__FreeBSD_kernel_version > 500000)
     cam_error_print(cam_dev,ccb,CAM_ESF_ALL,CAM_EPF_ALL,stderr);
  #endif
     cam_freeccb(ccb);

Reply sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
You have taken responsibility. (Wed, 02 Sep 2009 07:52:45 GMT) Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. (Wed, 02 Sep 2009 07:52:45 GMT) Full text and rfc822 format available.

Message #10 received at 537856-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 537856-close@bugs.debian.org
Subject: Bug#537856: fixed in smartmontools 5.38+svn2879-1
Date: Wed, 02 Sep 2009 07:09:59 +0000
Source: smartmontools
Source-Version: 5.38+svn2879-1

We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive:

smartmontools_5.38+svn2879-1.diff.gz
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879-1.diff.gz
smartmontools_5.38+svn2879-1.dsc
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879-1.dsc
smartmontools_5.38+svn2879-1_i386.deb
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879-1_i386.deb
smartmontools_5.38+svn2879.orig.tar.gz
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 537856@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <giuseppe@iuculano.it> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 01 Sep 2009 12:59:13 +0200
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.38+svn2879-1
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <giuseppe@iuculano.it>
Changed-By: Giuseppe Iuculano <giuseppe@iuculano.it>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 406130 494951 524752 525196 531325 537856 538631 539430 540359 543861
Changes: 
 smartmontools (5.38+svn2879-1) unstable; urgency=low
 .
   [ Guido Günther ]
   * [d5c8d71] suggest graphical helpers (Closes: #524752)
   * [b11b96e] support status action in init script (Closes: #525196) -
     thanks to Peter Eisentraut
   * [b092558] fix Vcs-Browser URL
 .
   [ Giuseppe Iuculano ]
   * [101b745] New maintainers, thanks to Guido Günther for the prior
     work on smartmontools. (Closes: #543861)
   * [35bece3] debian/rules: Added a get-orig-source target to retrieve a
     svn snapshot
   * [4482c05] Bump to debhelper 7 compatibility levels
   * [2127e19] Imported Upstream version 5.38+svn2879
     - Fixed FTBFS (Closes: #539430)
     - GNU/kFreeBSD patches merged in upstream (Closes: #537856)
     - More drives recognized: Fujitsu MHW2 BJ series, WD Caviar Black family,
       Western Digital AV-GP series, Transcend Solid-State Drive and Transcend
       Solid-State Drive V series, Seagate Momentus 5400.5 series.
   * [6052436] Refreshed patches
   * [91ad575] move badblockhowto.html in debian/ (Closes: #538631)
   * [bbdf8c9] debian/control: Depend on lsb >= 3.2-14, which has the
     status_of_proc() function.
   * [9afe5af] Removed stop links from rc0 and rc6 (Closes: #494951) -
     thanks to James Westby
   * [6dcd8ec] Updated to standards version 3.8.3 (No changes needed)
   * [608687b] debian/rules: Use dh_prep instead of dh_clean -k
   * [a52f90d] debian/rules: Do not ignore make clean errors
   * [31e40f7] debian/rules: use dh_install to install files
   * [9ca7a79] debian/control: Added Florian Maier in Uploaders, fixed
     VCS field, added DM-Upload-Allowed field
   * [d494f00] Updated debian/badblockhowto.html (Closes: #540359) -
     thanks to Francesco Potorti`
   * [3db595a] Use the `-n standby' option by default in smartd.conf
     (Closes: #531325)
   * [52b4501] Added /etc/smartmontools/run.d/10powersave-notify to
     enable desktop notification over powersave-notify and added
     powersaved in Recommends
   * [0dcf301] debian/patches/62_lowcap.patch: Drop all unnecessary
     capabilities
   * [5afdd10] Added the removable option by default. This indicates to
     smartd that it should continue if the device does not appear to be
     present when smartd is started. (Closes: #406130)
Checksums-Sha1: 
 c3fe58f2a0beddcc8c6c51b21e468b9041190201 1389 smartmontools_5.38+svn2879-1.dsc
 bccc74d547a4dab4f32afd2cf12883c177dc1d32 589761 smartmontools_5.38+svn2879.orig.tar.gz
 755499554cb7147a8cb85f04dee3787a702ca8e7 32254 smartmontools_5.38+svn2879-1.diff.gz
 5ba95e686e38fe165eef2fac633002e50012c224 398952 smartmontools_5.38+svn2879-1_i386.deb
Checksums-Sha256: 
 b772aaac6417332f41924c6b73e7671df29468a2d29efe26947260db66abe5f0 1389 smartmontools_5.38+svn2879-1.dsc
 af8757ccc7babc8d4fad96e318c24ec31fed941a97a7c476015df426416024d3 589761 smartmontools_5.38+svn2879.orig.tar.gz
 f0d7fb69b7814821ad36efcdb71e9c0c947478b6cea657f3a85c1a990038e983 32254 smartmontools_5.38+svn2879-1.diff.gz
 8e862289efda57b8d6adb76629cada1289b47927b4ebdb8db815e3983db7a02b 398952 smartmontools_5.38+svn2879-1_i386.deb
Files: 
 e65a8bdaece283b8307b0fc3bf4494c7 1389 utils optional smartmontools_5.38+svn2879-1.dsc
 22b9211bf1ad4831c04347ecbf7669c6 589761 utils optional smartmontools_5.38+svn2879.orig.tar.gz
 befcb9b0e11b177ebffacb3fc972f91e 32254 utils optional smartmontools_5.38+svn2879-1.diff.gz
 1fedf9690154144834c881d1385f2f3e 398952 utils optional smartmontools_5.38+svn2879-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKnZA9n88szT8+ZCYRAiMoAJ9wVEmwsw8qgJwyTHZumQ3y8c95OQCdGkYJ
B4E/hgkUN+JzrOpm4h8dfMc=
=WQg8
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Guido Günther <agx@sigxcpu.org>:
Bug#537856; Package smartmontools. (Wed, 02 Sep 2009 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Guido Günther <agx@sigxcpu.org>. (Wed, 02 Sep 2009 08:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 537856@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 537856@bugs.debian.org
Subject: smartmontools: FTBFS on non-linux - libcap-ng-dev is linux specific
Date: Wed, 2 Sep 2009 10:41:33 +0200 (CEST)
Hello,

please alter Build-Depends to use libcap-ng-dev only on linux
by using "libcap-ng-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]"

Petr




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#537856; Package smartmontools. (Wed, 02 Sep 2009 14:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. (Wed, 02 Sep 2009 14:36:07 GMT) Full text and rfc822 format available.

Message #20 received at 537856@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 537856@bugs.debian.org
Subject: Re: Bug#537856: smartmontools: FTBFS on non-linux - libcap-ng-dev is linux specific
Date: Wed, 02 Sep 2009 15:34:42 +0200
[Message part 1 (text/plain, inline)]
Hi Petr,

Petr Salinger ha scritto:
> please alter Build-Depends to use libcap-ng-dev only on linux
> by using "libcap-ng-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]"

Committed in the git repository, thanks.

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#537856; Package smartmontools. (Mon, 07 Sep 2009 13:54:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Mon, 07 Sep 2009 13:54:11 GMT) Full text and rfc822 format available.

Message #25 received at 537856@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 537856@bugs.debian.org
Subject: Bug#537856: smartmontools: FTBFS on GNU/kFreeBSD (reallocf() is specific for *BSD libc)
Date: Mon, 7 Sep 2009 16:18:48 +0200 (CEST)
found 537856 5.38+svn2879-1
found 537856 5.38+svn2879-2
--

Hi,

two more problems with current snapshot.

1) The os_freebsd.cpp uses reallocf(), which is specific for *BSD libc.
See http://leaf.dragonflybsd.org/cgi/web-man?command=reallocf&section=3

Please, could you add implementation directly into os_freebsd.cpp
for GLIBC based systems - patch is bellow.

2) This part of original submission is not included upstream:

--- smartmontools-5.38.orig/cciss.cpp
+++ smartmontools-5.38/cciss.cpp
@@ -19,6 +19,10 @@
 #  include <sys/endian.h>
 #  include <dev/ciss/cissio.h>
 #  define _HAVE_CCISS
+#elif defined(__FreeBSD_kernel__) && defined(HAVE_DEV_CISS_CISSIO_H)
+#  include <endian.h>
+#  include <dev/ciss/cissio.h>
+#  define _HAVE_CCISS
 #endif


Thanks again.

	Petr

--- os_freebsd.cpp
+++ os_freebsd.cpp
@@ -79,6 +79,15 @@
 // forward declaration
 // static int parse_ata_chan_dev(const char * dev_name, struct 
freebsd_dev_channel *ch);

+#ifdef __GLIBC__
+static inline void * reallocf(void *ptr, size_t size)
+{
+  void *rv = realloc(ptr, size);
+  if(rv == NULL)
+    free(ptr);
+  return rv;
+}
+#endif

 // Returns 1 if device not available/open/found else 0.  Also shifts fd 
into valid range.
 static int isnotopen(int *fd, struct freebsd_dev_channel** fdchan) {





Bug Marked as found in versions smartmontools/5.38+svn2879-1; no longer marked as fixed in versions smartmontools/5.38+svn2879-1 and reopened. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 07 Sep 2009 13:57:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions smartmontools/5.38+svn2879-2. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 07 Sep 2009 13:57:03 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
You have taken responsibility. (Mon, 07 Sep 2009 14:06:23 GMT) Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. (Mon, 07 Sep 2009 14:06:23 GMT) Full text and rfc822 format available.

Message #34 received at 537856-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 537856-close@bugs.debian.org
Subject: Bug#537856: fixed in smartmontools 5.38+svn2879-3
Date: Mon, 07 Sep 2009 13:47:16 +0000
Source: smartmontools
Source-Version: 5.38+svn2879-3

We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive:

smartmontools_5.38+svn2879-3.diff.gz
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879-3.diff.gz
smartmontools_5.38+svn2879-3.dsc
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879-3.dsc
smartmontools_5.38+svn2879-3_i386.deb
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 537856@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <giuseppe@iuculano.it> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Sep 2009 15:33:34 +0200
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.38+svn2879-3
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <giuseppe@iuculano.it>
Changed-By: Giuseppe Iuculano <giuseppe@iuculano.it>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 537856
Changes: 
 smartmontools (5.38+svn2879-3) unstable; urgency=low
 .
   * [1b75411] Freebsd patch was not entirely merged in upstream. Applied
     remaining changes and try to fix FTBFS on GNU/kFreeBSD (Closes: #537856)
Checksums-Sha1: 
 50af525b6ff5dabcbe70071c923efc9515282671 1447 smartmontools_5.38+svn2879-3.dsc
 67d9d52ca6da553ef046f53265854cb7c6077d9a 34028 smartmontools_5.38+svn2879-3.diff.gz
 62e901fcf68bd88044191c00ab2d42c993026f48 402044 smartmontools_5.38+svn2879-3_i386.deb
Checksums-Sha256: 
 1104bdf2cfd378e33de7dafe260dee28c75be2bf8ec37047f5317d21c1498977 1447 smartmontools_5.38+svn2879-3.dsc
 281aad16a25cf28dd2d9552c097da7c9abb9392248630d3b44f63d1a19f603d8 34028 smartmontools_5.38+svn2879-3.diff.gz
 61171bf36fbfcaf2b562d4a50e26b69bbfc09a0dd9fb3273ccc0b3488e9caa87 402044 smartmontools_5.38+svn2879-3_i386.deb
Files: 
 0cfc1ed1a3089bfe42256bc09f402fb0 1447 utils optional smartmontools_5.38+svn2879-3.dsc
 c5ec6e6fbb40d37b1529559d91a04776 34028 utils optional smartmontools_5.38+svn2879-3.diff.gz
 bb3b1cf042490e1fb4ee6da7e39e6bf9 402044 utils optional smartmontools_5.38+svn2879-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqlDF0ACgkQNxpp46476ar6GgCgkg9oNXK3sNNlhDvysTd+uHNA
2mQAn3fbmyCq1tdEs/R1YR0a2xInv0GK
=AjLe
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#537856; Package smartmontools. (Mon, 07 Sep 2009 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. (Mon, 07 Sep 2009 14:15:03 GMT) Full text and rfc822 format available.

Message #39 received at 537856@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 537856@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#537856: smartmontools: FTBFS on GNU/kFreeBSD (reallocf() is specific for *BSD libc)
Date: Mon, 07 Sep 2009 16:08:23 +0200
[Message part 1 (text/plain, inline)]
found 537856 5.38+svn2879-3
thanks

Hi Petr,

Petr Salinger ha scritto:
> found 537856 5.38+svn2879-1
> found 537856 5.38+svn2879-2
> -- 
> 
> Hi,
> 
> two more problems with current snapshot.
> 
> 1) The os_freebsd.cpp uses reallocf(), which is specific for *BSD libc.
> See http://leaf.dragonflybsd.org/cgi/web-man?command=reallocf&section=3
> 
> Please, could you add implementation directly into os_freebsd.cpp
> for GLIBC based systems - patch is bellow.
> 
> 2) This part of original submission is not included upstream:
> 
> --- smartmontools-5.38.orig/cciss.cpp
> +++ smartmontools-5.38/cciss.cpp
> @@ -19,6 +19,10 @@
>  #  include <sys/endian.h>
>  #  include <dev/ciss/cissio.h>
>  #  define _HAVE_CCISS
> +#elif defined(__FreeBSD_kernel__) && defined(HAVE_DEV_CISS_CISSIO_H)
> +#  include <endian.h>
> +#  include <dev/ciss/cissio.h>
> +#  define _HAVE_CCISS
>  #endif
> 
> 
> Thanks again.

Ok, I will upload a new revision soon, thanks.

Cheers,
Giuseppe


[signature.asc (application/pgp-signature, attachment)]

Bug Marked as found in versions smartmontools/5.38+svn2879-3; no longer marked as fixed in versions smartmontools/5.38+svn2879-3 and reopened. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Mon, 07 Sep 2009 14:15:05 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
You have taken responsibility. (Mon, 07 Sep 2009 20:00:10 GMT) Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. (Mon, 07 Sep 2009 20:00:10 GMT) Full text and rfc822 format available.

Message #46 received at 537856-done@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 537856-done@bugs.debian.org
Subject: Re: Bug#537856: smartmontools: FTBFS on GNU/kFreeBSD (reallocf() is specific for *BSD libc)
Date: Mon, 07 Sep 2009 21:47:38 +0200
[Message part 1 (text/plain, inline)]
Version: 5.38+svn2879-4


Hi!

Finally smartmontools built fine :)

Thanks for your help!

Cheers,
Giuseppe

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Oct 2009 07:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:28:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.